function [ys,check] = example_steadystate(junk,ys)

global M_ 
check = 0;

%% assign parameter values

example_paramfile

%% assign steady state values

example_ss_defs

%% send parameters and steady states to dynare
nparams = size(M_.param_names,1);
for icount = 1:nparams
    eval(['M_.params(icount) = ',M_.param_names(icount,:),';'])
end

nvars = M_.endo_nbr;
ys = zeros(nvars,1);
for i_indx = 1:nvars
   eval(['ys(i_indx)=',M_.endo_names(i_indx,:),';']) 
end